com.sun.mirror.util

## Interface SourcePosition

- Deprecated.
  All components of this API have been superseded by the standardized annotation processing API. There is no direct replacement for the functionality of this interface since the standardized `Messager` API implicitly takes a source position argument via any element, annotation mirror, or annotation value passed along with the message.

      @Deprecated
      public interface SourcePosition

  Represents a position in a source file.
  Since:
    1.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `column()` Deprecated. Returns the column number of this position.
    `File` | `file()` Deprecated. Returns the source file containing this position.
    `int` | `line()` Deprecated. Returns the line number of this position.

- - ### Method Detail

    - #### file

          File file()

      Deprecated.
      Returns the source file containing this position.
      Returns:
        the source file containing this position; never null

    - #### line

          int line()

      Deprecated.
      Returns the line number of this position. Lines are numbered starting with 1.
      Returns:
        the line number of this position, or 0 if the line number is unknown or not applicable

    - #### column

          int column()

      Deprecated.
      Returns the column number of this position. Columns are numbered starting with 1.
      Returns:
        the column number of this position, or 0 if the column number is unknown or not applicable

Copyright © 2004, 2014, Oracle and/or its affiliates. All rights reserved.